%define upstream_name	 XML-SAX-Base
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    3

Summary:	Simple API for XML Base

License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

Buildrequires:	perl-devel
BuildRequires:	perl(XML::NamespaceSupport)
BuildArch:	noarch

%description
This module has a very simple task - to be a base class for 
PerlSAX drivers and filters.  It's default behaviour is to 
pass the input directly to the output unchanged. It can be 
useful to use this module as a base class so you don't 
have to, for example, implement the characters() callback.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
N
EOF
%make

%check
%make test

%install
%makeinstall_std PERL="perl -I%{buildroot}%{perl_vendorlib}/"

%clean 

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/XML
%{_mandir}/man3/XML::*.3*



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.80.0-3
+ Revision: 65e2d4d
- MassBuild#440: Increase release tag


